Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Constraint

All Superinterfaces:
  M4Data, M4Object

All Known Implementing Classes:
  Constraint

    public interface Constraint

extends M4Data

Version:
  $Id: Constraint.java,v 1.11 2006/09/27 14:59:58 euler Exp $
Author:
  Daniel Hakenjos, Timm Euler

Field Summary
`static java.lang.String` | `TYPE_ATTRIB_IN_REL_FROM`
`static java.lang.String` | `TYPE_ATTRIB_IN_REL_TO`
`static java.lang.String` | `TYPE_COMPATIBLE`
`static java.lang.String` | `TYPE_CONTAINED_IN`
`static java.lang.String` | `TYPE_COORDINATED_ARRAYS`
`static java.lang.String` | `TYPE_CREATE_ATTRIB_BY`
`static java.lang.String` | `TYPE_CREATE_ATTRIB_SUFF`
`static java.lang.String` | `TYPE_CROSS_CON_FOR_REL`
`static java.lang.String` | `TYPE_CROSS_FROM_KEY_FOR_REL`
`static java.lang.String` | `TYPE_CROSS_TO_KEY_FOR_REL`
`static java.lang.String` | `TYPE_DATATYPE`
`static java.lang.String` | `TYPE_FEAT_FROM_RELFR`
`static java.lang.String` | `TYPE_FEAT_FROM_RELTO`
`static java.lang.String` | `TYPE_FROM_CON_FOR_REL`
`static java.lang.String` | `TYPE_FROM_KEY_FOR_REL`
`static java.lang.String` | `TYPE_GET_VALUES_FROM_ATTRIB`
`static java.lang.String` | `TYPE_GREATER_OR_EQUAL`
`static java.lang.String` | `TYPE_GREATER_THAN`
`static java.lang.String` | `TYPE_IS_LOOPED`
`static java.lang.String` | `TYPE_LESSER_OR_EQUAL`
`static java.lang.String` | `TYPE_LESSER_THAN`
`static java.lang.String` | `TYPE_MATCH_ATTRIBS_BY_CONCEPTS`
`static java.lang.String` | `TYPE_NO_COMMON_FEATURES`
`static java.lang.String` | `TYPE_ONE_OF`
`static java.lang.String` | `TYPE_OUT_ATTRIB_TYPE`
`static java.lang.String` | `TYPE_RENAME_ATTRIB`
`static java.lang.String` | `TYPE_SAME_DATATYPE`
`static java.lang.String` | `TYPE_SAME_FEAT_EXCEPT`
`static java.lang.String` | `TYPE_SAME_FEATURES`
`static java.lang.String` | `TYPE_SUM_MUST_BE_ONE`
`static java.lang.String` | `TYPE_TO_CON_FOR_REL`
`static java.lang.String` | `TYPE_TO_KEY_FOR_REL`

Method Summary
`java.lang.String` | `getObj1()` Gets the myObj1.
`java.lang.String` | `getObj2()` Gets the myObj2.
`Operator` | `getTheOperator()` Gets the Operator
`java.lang.String` | `getType()` Gets the myType.
`void` | `setObj1(java.lang.String myObj1)` Sets the myObj1.
`void` | `setObj2(java.lang.String myObj2)` Sets the myObj2.
`void` | `setTheOperator(Operator operator)` Sets the Operator.
`void` | `setType(java.lang.String myType)` Sets the myType.

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### TYPE_IS_LOOPED

    static final java.lang.String TYPE_IS_LOOPED

See Also:
  Constant Field Values

### TYPE_SAME_FEATURES

    static final java.lang.String TYPE_SAME_FEATURES

See Also:
  Constant Field Values

### TYPE_COMPATIBLE

    static final java.lang.String TYPE_COMPATIBLE

See Also:
  Constant Field Values

### TYPE_CONTAINED_IN

    static final java.lang.String TYPE_CONTAINED_IN

See Also:
  Constant Field Values

### TYPE_DATATYPE

    static final java.lang.String TYPE_DATATYPE

See Also:
  Constant Field Values

### TYPE_GREATER_THAN

    static final java.lang.String TYPE_GREATER_THAN

See Also:
  Constant Field Values

### TYPE_GREATER_OR_EQUAL

    static final java.lang.String TYPE_GREATER_OR_EQUAL

See Also:
  Constant Field Values

### TYPE_LESSER_THAN

    static final java.lang.String TYPE_LESSER_THAN

See Also:
  Constant Field Values

### TYPE_LESSER_OR_EQUAL

    static final java.lang.String TYPE_LESSER_OR_EQUAL

See Also:
  Constant Field Values

### TYPE_ONE_OF

    static final java.lang.String TYPE_ONE_OF

See Also:
  Constant Field Values

### TYPE_SAME_DATATYPE

    static final java.lang.String TYPE_SAME_DATATYPE

See Also:
  Constant Field Values

### TYPE_SUM_MUST_BE_ONE

    static final java.lang.String TYPE_SUM_MUST_BE_ONE

See Also:
  Constant Field Values

### TYPE_COORDINATED_ARRAYS

    static final java.lang.String TYPE_COORDINATED_ARRAYS

See Also:
  Constant Field Values

### TYPE_ATTRIB_IN_REL_FROM

    static final java.lang.String TYPE_ATTRIB_IN_REL_FROM

See Also:
  Constant Field Values

### TYPE_ATTRIB_IN_REL_TO

    static final java.lang.String TYPE_ATTRIB_IN_REL_TO

See Also:
  Constant Field Values

### TYPE_SAME_FEAT_EXCEPT

    static final java.lang.String TYPE_SAME_FEAT_EXCEPT

See Also:
  Constant Field Values

### TYPE_RENAME_ATTRIB

    static final java.lang.String TYPE_RENAME_ATTRIB

See Also:
  Constant Field Values

### TYPE_MATCH_ATTRIBS_BY_CONCEPTS

    static final java.lang.String TYPE_MATCH_ATTRIBS_BY_CONCEPTS

See Also:
  Constant Field Values

### TYPE_OUT_ATTRIB_TYPE

    static final java.lang.String TYPE_OUT_ATTRIB_TYPE

See Also:
  Constant Field Values

### TYPE_CREATE_ATTRIB_BY

    static final java.lang.String TYPE_CREATE_ATTRIB_BY

See Also:
  Constant Field Values

### TYPE_CREATE_ATTRIB_SUFF

    static final java.lang.String TYPE_CREATE_ATTRIB_SUFF

See Also:
  Constant Field Values

### TYPE_FEAT_FROM_RELFR

    static final java.lang.String TYPE_FEAT_FROM_RELFR

See Also:
  Constant Field Values

### TYPE_FEAT_FROM_RELTO

    static final java.lang.String TYPE_FEAT_FROM_RELTO

See Also:
  Constant Field Values

### TYPE_NO_COMMON_FEATURES

    static final java.lang.String TYPE_NO_COMMON_FEATURES

See Also:
  Constant Field Values

### TYPE_FROM_CON_FOR_REL

    static final java.lang.String TYPE_FROM_CON_FOR_REL

See Also:
  Constant Field Values

### TYPE_TO_CON_FOR_REL

    static final java.lang.String TYPE_TO_CON_FOR_REL

See Also:
  Constant Field Values

### TYPE_CROSS_CON_FOR_REL

    static final java.lang.String TYPE_CROSS_CON_FOR_REL

See Also:
  Constant Field Values

### TYPE_FROM_KEY_FOR_REL

    static final java.lang.String TYPE_FROM_KEY_FOR_REL

See Also:
  Constant Field Values

### TYPE_TO_KEY_FOR_REL

    static final java.lang.String TYPE_TO_KEY_FOR_REL

See Also:
  Constant Field Values

### TYPE_CROSS_FROM_KEY_FOR_REL

    static final java.lang.String TYPE_CROSS_FROM_KEY_FOR_REL

See Also:
  Constant Field Values

### TYPE_CROSS_TO_KEY_FOR_REL

    static final java.lang.String TYPE_CROSS_TO_KEY_FOR_REL

See Also:
  Constant Field Values

### TYPE_GET_VALUES_FROM_ATTRIB

    static final java.lang.String TYPE_GET_VALUES_FROM_ATTRIB

See Also:
  Constant Field Values

Method Detail

### getObj1

    java.lang.String getObj1()

  Gets the myObj1.

  Returns:
    Returns a String

### getObj2

    java.lang.String getObj2()

  Gets the myObj2.

  Returns:
    Returns a String

### getTheOperator

    Operator getTheOperator()

  Gets the Operator

  Returns:
    Returns an `Operator`

### getType

    java.lang.String getType()

  Gets the myType.

  Returns:
    Returns a String

### setObj1

    void setObj1(java.lang.String myObj1)

  Sets the myObj1.

  Parameters:
    `myObj1` - The myObj1 to set

### setObj2

    void setObj2(java.lang.String myObj2)

  Sets the myObj2.

  Parameters:
    `myObj2` - The myObj2 to set

### setTheOperator

    void setTheOperator(Operator operator)
                        throws M4Exception

  Sets the Operator.

  Parameters:
    `operator` - The `Operator` to set
  Throws:
    `M4Exception`

### setType

    void setType(java.lang.String myType)

  Sets the myType.

  Parameters:
    `myType` - The myType to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005